Audit

List the audit events for a project

GET
/api/projects/{projectId}/audit-events

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length

Response Body

Response for status 200

application/json
  1. response
events*array<>
Example Request
curl -X GET 'https://postbot.example/api/projects/string/audit-events'
Example Response
{
  "events": [
    {
      "id": "string",
      "projectId": "string",
      "actorId": "string",
      "action": "string",
      "entityType": "string",
      "entityId": "string",
      "metadataJson": "string",
      "createdAt": -9007199254740991
    }
  ]
}

Was this page helpful?